import { Description } from "./Description";
import { RectDescription } from "./RectDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class ZoomSliderDescription extends Description {
    static $t: Type;
    private br;
    get width(): string;
    set width(a: string);
    private a5;
    get height(): string;
    set height(a: string);
    private a2;
    get background(): string;
    set background(a: string);
    protected get_type(): string;
    get type(): string;
    constructor();
    private a0;
    get panTransitionDuration(): number;
    set panTransitionDuration(a: number);
    private x;
    get maxZoomWidth(): number;
    set maxZoomWidth(a: number);
    private z;
    get pixelScalingRatio(): number;
    set pixelScalingRatio(a: number);
    private j;
    get actualPixelScalingRatio(): number;
    set actualPixelScalingRatio(a: number);
    private f;
    get windowRect(): RectDescription;
    set windowRect(a: RectDescription);
    private y;
    get minZoomWidth(): number;
    set minZoomWidth(a: number);
    private ab;
    get startInset(): number;
    set startInset(a: number);
    private m;
    get endInset(): number;
    set endInset(a: number);
    private ad;
    get trackStartInset(): number;
    set trackStartInset(a: number);
    private ac;
    get trackEndInset(): number;
    set trackEndInset(a: number);
    private k;
    get barExtent(): number;
    set barExtent(a: number);
    private bm;
    get orientation(): string;
    set orientation(a: string);
    private bj;
    get lowerThumbBrush(): string;
    set lowerThumbBrush(a: string);
    private v;
    get lowerThumbStrokeThickness(): number;
    set lowerThumbStrokeThickness(a: number);
    private q;
    get higherThumbStrokeThickness(): number;
    set higherThumbStrokeThickness(a: number);
    private bb;
    get higherThumbBrush(): string;
    set higherThumbBrush(a: string);
    private bk;
    get lowerThumbOutline(): string;
    set lowerThumbOutline(a: string);
    private bc;
    get higherThumbOutline(): string;
    set higherThumbOutline(a: string);
    private bl;
    get lowerThumbRidgesBrush(): string;
    set lowerThumbRidgesBrush(a: string);
    private bd;
    get higherThumbRidgesBrush(): string;
    set higherThumbRidgesBrush(a: string);
    private w;
    get lowerThumbWidth(): number;
    set lowerThumbWidth(a: number);
    private r;
    get higherThumbWidth(): number;
    set higherThumbWidth(a: number);
    private u;
    get lowerThumbHeight(): number;
    set lowerThumbHeight(a: number);
    private p;
    get higherThumbHeight(): number;
    set higherThumbHeight(a: number);
    private bh;
    get lowerShadeBrush(): string;
    set lowerShadeBrush(a: string);
    private bi;
    get lowerShadeOutline(): string;
    set lowerShadeOutline(a: string);
    private t;
    get lowerShadeStrokeThickness(): number;
    set lowerShadeStrokeThickness(a: number);
    private a9;
    get higherShadeBrush(): string;
    set higherShadeBrush(a: string);
    private ba;
    get higherShadeOutline(): string;
    set higherShadeOutline(a: string);
    private o;
    get higherShadeStrokeThickness(): number;
    set higherShadeStrokeThickness(a: number);
    private a3;
    get barBrush(): string;
    set barBrush(a: string);
    private a4;
    get barOutline(): string;
    set barOutline(a: string);
    private l;
    get barStrokeThickness(): number;
    set barStrokeThickness(a: number);
    private bn;
    get rangeThumbBrush(): string;
    set rangeThumbBrush(a: string);
    private bo;
    get rangeThumbOutline(): string;
    set rangeThumbOutline(a: string);
    private aa;
    get rangeThumbStrokeThickness(): number;
    set rangeThumbStrokeThickness(a: number);
    private bp;
    get rangeThumbRidgesBrush(): string;
    set rangeThumbRidgesBrush(a: string);
    private be;
    get lowerCalloutBrush(): string;
    set lowerCalloutBrush(a: string);
    private bg;
    get lowerCalloutTextColor(): string;
    set lowerCalloutTextColor(a: string);
    private bf;
    get lowerCalloutOutline(): string;
    set lowerCalloutOutline(a: string);
    private s;
    get lowerCalloutStrokeThickness(): number;
    set lowerCalloutStrokeThickness(a: number);
    private a6;
    get higherCalloutBrush(): string;
    set higherCalloutBrush(a: string);
    private a8;
    get higherCalloutTextColor(): string;
    set higherCalloutTextColor(a: string);
    private a7;
    get higherCalloutOutline(): string;
    set higherCalloutOutline(a: string);
    private n;
    get higherCalloutStrokeThickness(): number;
    set higherCalloutStrokeThickness(a: number);
    private h;
    get areThumbCalloutsEnabled(): boolean;
    set areThumbCalloutsEnabled(a: boolean);
    private _thumbCalloutFontFamily;
    get thumbCalloutFontFamily(): string;
    set thumbCalloutFontFamily(a: string);
    private _thumbCalloutFontSize;
    get thumbCalloutFontSize(): number;
    set thumbCalloutFontSize(a: number);
    private _thumbCalloutFontStyle;
    get thumbCalloutFontStyle(): string;
    set thumbCalloutFontStyle(a: string);
    private _thumbCalloutFontWeight;
    get thumbCalloutFontWeight(): string;
    set thumbCalloutFontWeight(a: string);
    private bq;
    get resolvingAxisValueRef(): string;
    set resolvingAxisValueRef(a: string);
    private bs;
    get windowRectChangedRef(): string;
    set windowRectChangedRef(a: string);
}
